org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead33RetryManyAsyncClassBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead33RetryManyAsyncClassBean

    @Asynchronous
     @Bulkhead(value=3,
              waitingTaskQueue=3)
     @Retry(maxRetries=99999,
           maxDuration=3000L,
           delay=100L,
           jitter=0L)
     @ApplicationScoped
    public class Bulkhead33RetryManyAsyncClassBean
    extends Object

Tests to ensure that BulkheadExceptions are retried

Has a bulkhead size of 3 and a queue size of 3

Retries on all exceptions for 3 seconds

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead33RetryManyAsyncClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Future<?>` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead33RetryManyAsyncClassBean

    public Bulkhead33RetryManyAsyncClassBean()

### Method Detail

#### test

    public Future<?> test(Barrier barrier)